Subject: [PATCH 1/2] ARM: zynq: cpuidle: Remove useless compatibility string

From: [email-masked] (Daniel Lezcano)
Date: Fri, 27 Sep 2013 18:36:14 +0200

On 09/27/2013 05:58 PM, S?ren Brinkmann wrote:
> On Fri, Sep 27, 2013 at 10:51:43AM +0200, Michal Simek wrote:
>> On 09/27/2013 10:35 AM, Daniel Lezcano wrote:
>>> On 09/27/2013 10:19 AM, Michal Simek wrote:
>>>> On 09/27/2013 10:17 AM, Daniel Lezcano wrote:
>>>>> All zynq platforms have this compatibility string and there is no any other
>>>>> clone.
>>>>>
>>>>> Signed-off-by: Daniel Lezcano <[email-masked]>
>>>
>>> The patchset is only compile-tested (I don't have the hardware).
>>>
>>> Michal or someone else, if you have the time can you give it a try ?
>>>
>>
>> Soren: Can you please retest it on hw?
> Hmm, I'm not subscribed to LAKML (only LKML), but well found the series on
> patchworks.
>
> The series introduces new build warnings:
> WARNING: drivers/cpuidle/built-in.o(.data+0x28c): Section mismatch in reference from the variable zynq_cpuidle_driver to the function .init.text:zynq_cpuidle_probe()
> The variable zynq_cpuidle_driver references
> the function __init zynq_cpuidle_probe()
> If the reference is valid then annotate the
> variable with __init* or __refdata (see linux/init.h) or name the variable:
> *_template, *_timer, *_sht, *_ops, *_probe, *_probe_one, *_console
>
>    CC      kernel/trace/trace.o
>    LD      drivers/built-in.o
> WARNING: drivers/built-in.o(.data+0x13870): Section mismatch in reference from the variable zynq_cpuidle_driver to the function .init.text:zynq_cpuidle_probe()
> The variable zynq_cpuidle_driver references
> the function __init zynq_cpuidle_probe()
> If the reference is valid then annotate the
> variable with __init* or __refdata (see linux/init.h) or name the variable:
> *_template, *_timer, *_sht, *_ops, *_probe, *_probe_one, *_console
>
>    LD      kernel/trace/built-in.o
>    LD      kernel/built-in.o
>    LINK    vmlinux
>    LD      vmlinux.o
>    MODPOST vmlinux.o
> WARNING: vmlinux.o(.data+0x2e0b0): Section mismatch in reference from the variable zynq_cpuidle_driver to the function .init.text:zynq_cpuidle_probe()
> The variable zynq_cpuidle_driver references
> the function __init zynq_cpuidle_probe()
> If the reference is valid then annotate the
> variable with __init* or __refdata (see linux/init.h) or name the variable:
> *_template, *_timer, *_sht, *_ops, *_probe, *_probe_one, *_console

Oops, right, I missed the section mismatch. Thanks for pointing this out.

> Other than that it looks good. I assume there is just some __init
> annotation missing somewhere. Feel free to add my 'Tested-by'.

Cool ! Thanks Soren for testing.

I will take the patchn with the init section fixed, in my tree if you 
are ok with that.

   -- Daniel

-- 
  <http://www.linaro.org/> Linaro.org ? Open source software for ARM SoCs

Follow Linaro:  <http://www.facebook.com/pages/Linaro> Facebook |
<http://twitter.com/#!/linaroorg> Twitter |
<http://www.linaro.org/linaro-blog/> Blog